Page MenuHomePhabricator

[Task] Convert WikibaseQuality, WikibaseQualityConstraints and WikibaseQualityExternalValidation to use extension registration
Closed, ResolvedPublic

Description

The following extensions need to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Lydia_Pintscher renamed this task from Convert WikibaseQuality, WikibaseQualityConstraints and WikibaseQualityExternalValidation to use extension registration to [Task] Convert WikibaseQuality, WikibaseQualityConstraints and WikibaseQualityExternalValidation to use extension registration.Aug 17 2015, 4:19 PM
Legoktm removed a subscriber: Legoktm.Aug 19 2015, 8:48 AM

Change 262860 had a related patch set uploaded (by MtDu):
Convert WikibaseQuality to use new extension registration

https://gerrit.wikimedia.org/r/262860

Change 262860 merged by jenkins-bot:
Convert WikibaseQuality to use new extension registration

https://gerrit.wikimedia.org/r/262860

Change 263008 had a related patch set uploaded (by MtDu):
Convert WikibaseQualityConstraints to use new extension registration

https://gerrit.wikimedia.org/r/263008

MtDu added a subscriber: MtDu.Jan 7 2016, 11:43 PM

Hello!
I'll go ahead and claim this. I just pushed a patch for the second extension, and am working on the third. I have a few questions. I'm not sure how to convert the stuff in these lines to the new extension registration. https://dpaste.de/w0tQ#L35,36,48,49,50,51,52,53,54,55,56 For the if statements at the end, am I supposed to just leave those in the WikiBaseQualityExternalValidation.php file?
Thanks!
MtDu

MtDu claimed this task.Jan 7 2016, 11:44 PM
MtDu added a comment.Jan 7 2016, 11:48 PM

Regarding the earlier, message, I'm having a little trouble moving the define php function to the new extension registration system. Any help would be appreciated!
MtDu

Those 3 constants (created with the define php function) INSTANCE_OF_PID, DENTIFIER_PROPERTY_QID and STATED_IN_PID, should be changed in the code to be configuration options. This is because they are different for each installation, like test and beta. (This can be done in a separate patch before converting to extension registration.)

Reedy moved this task from Backlog to DOING on the Wikibase-Quality board.Mar 30 2017, 2:39 PM
Reedy moved this task from DOING to REVIEW on the Wikibase-Quality board.

Change 263008 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Convert WikibaseQualityConstraints to use new extension registration

https://gerrit.wikimedia.org/r/263008

WikibaseQuality and WikibaseQualityConstraints done and merged, so removing Patch-For-Review and moving back to backlog.

@MtDu are you still working on the WikibaseQualityExternalValidation part? I tried to migrate it myself, but couldn’t get it to work.

MtDu added a comment.May 8 2017, 1:00 PM

No, sorry. What priority is this? @Lucas_Werkmeister_WMDE

Not high priority at all, I think, I just wanted to check.

Change 416739 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Load Wikibase Quality extensions using extension registration

https://gerrit.wikimedia.org/r/416739

Change 416739 merged by jenkins-bot:
[operations/mediawiki-config@master] Load Wikibase Quality extensions using extension registration

https://gerrit.wikimedia.org/r/416739

Mentioned in SAL (#wikimedia-operations) [2018-03-07T14:10:00Z] <zfilipin@tin> Synchronized wmf-config/: SWAT: [[gerrit:416739|Load Wikibase Quality extensions using extension registration (T106104)]] (duration: 01m 17s)

Lucas_Werkmeister_WMDE closed this task as Resolved.

WBQEV done (forgot to link this task in Id6cfa385e8). And since that extension isn’t deployed in production, I don’t think we need to do anything in wikimedia-config there either. So I think we’re done! :)